Loading...
Searching...
No Matches
openshot::CVTracker Class Reference

The tracker class will receive one bounding box provided by the user and then iterate over the clip frames to return the object position in all the frames. More...

`#include <CVTracker.h>`

## Public Member Functions

bool | _LoadTrackedData ()
void | AddFrameDataToProto (pb_tracker::Frame *pbFrameData, FrameData &fData)
| Add frame tracked data into protobuf message.
| CVTracker (std::string processInfoJson, ProcessingController &processingController)
cv::Rect2d | filter_box_jitter (size_t frameId)
| Filter current bounding box jitter.
FrameData | GetTrackedData (size_t frameId)
| Get tracked data for a given frame.
bool | SaveTrackedData ()
| Save protobuf file.
cv::Ptr< OPENCV_TRACKER_TYPE > | selectTracker (std::string trackerType)
void | SetJson (const std::string value)
| Load JSON string into this object.
void | SetJsonValue (const Json::Value root)
| Load Json::Value into this object.
void | trackClip (openshot::Clip &video, size_t _start=0, size_t _end=0, bool process_interval=false)

## Detailed Description

The tracker class will receive one bounding box provided by the user and then iterate over the clip frames to return the object position in all the frames.

Definition at line 75 of file CVTracker.h.

## Constructor & Destructor Documentation

## CVTracker()

CVTracker::CVTracker | ( | std::string | processInfoJson,
|  | ProcessingController & | processingController
| ) |  |

Definition at line 29 of file CVTracker.cpp.

## Member Function Documentation

## _LoadTrackedData()

bool CVTracker::_LoadTrackedData | ( |  | ) |

Definition at line 326 of file CVTracker.cpp.

## AddFrameDataToProto()

void CVTracker::AddFrameDataToProto | ( | pb_tracker::Frame * | pbFrameData,
|  | FrameData & | fData
| ) |  |

Add frame tracked data into protobuf message.

Definition at line 238 of file CVTracker.cpp.

Referenced by SaveTrackedData().

## filter_box_jitter()

cv::Rect2d CVTracker::filter_box_jitter | ( | size_t | frameId | ) |

Filter current bounding box jitter.

Definition at line 185 of file CVTracker.cpp.

## GetTrackedData()

FrameData CVTracker::GetTrackedData | ( | size_t | frameId | ) |

Get tracked data for a given frame.

Definition at line 253 of file CVTracker.cpp.

Referenced by trackClip().

## SaveTrackedData()

bool CVTracker::SaveTrackedData | ( |  | ) |

Save protobuf file.

Definition at line 205 of file CVTracker.cpp.

## selectTracker()

cv::Ptr< OPENCV_TRACKER_TYPE > CVTracker::selectTracker | ( | std::string | trackerType | ) |

Definition at line 37 of file CVTracker.cpp.

## SetJson()

void CVTracker::SetJson | ( | const std::string | value | ) |

Load JSON string into this object.

Definition at line 267 of file CVTracker.cpp.

Referenced by CVTracker().

## SetJsonValue()

void CVTracker::SetJsonValue | ( | const Json::Value | root | ) |

Load Json::Value into this object.

Definition at line 284 of file CVTracker.cpp.

Referenced by SetJson().

## trackClip()

void CVTracker::trackClip | ( | openshot::Clip & | video,
|  | size_t | _start = `0`,
|  | size_t | _end = `0`,
|  | bool | process_interval = `false`
| ) |  |

Track object in the hole clip or in a given interval

If start, end and process_interval are passed as argument, clip will be processed in [start,end)

Definition at line 58 of file CVTracker.cpp.

The documentation for this class was generated from the following files:

- CVTracker.h
- CVTracker.cpp